for i in '1_-1_11_-11_1_-1' '1_-1_11_-11_21'
#redone after update Recola 0.9.14: '2_-2_23_22' '2_-1_24_21' '1_-1_23_21' '2_-1_23_24_21' '2_-1_24_22_21' '2_-2_24_-24_21' '2_-2_23_23_21' '2_-2_22_22_21' '2_-2_23_1_-1' '2_-1_24_21_21' '3_-4_-24_22_22' '2_-2_23_22_22' '1_-2_23_-24_22' '2_-2_23_24_-24' '2_-2_25_23' '2_-2_25_23_21' '4_-3_25_24' '2_-1_25_24_1_-1' '2_-1_23_24_22' '2_-1_24_22_21'
#pc-atlas: '1_-1_6_-6' '2_-2_6_-6_21' '6_-6_21_21' '6_-6_2_-2'
#laptop: '2_-1_-11_12' '1_21_11_-11_1' '-2_21_11_-11_-2' '1_-1_11_-11_1_-1'  '1_21_11_-11_21_1' '21_21_11_-11_2_-2' '3_-4_13_-14'  '3_-4_13_-14_21' '3_-4_13_-14_21_21' '2_-1_-11_12_21' '2_-1_-11_12_3_-3' '1_-1_22_21' '1_-1_23_21' '2_-1_24_21' '2_-1_23_24_21'   '1_-1_22_1_-1' '2_-2_23_1_-1' '2_-1_24_21_21' '2_-2_23_24_-24' '2_-1_23_23_24' '1_-1_22_22_22' '1_-1_23_23_23' '2_-2_25_23' '2_-2_25_23_21' '4_-3_25_24' '2_-1_25_24_1_-1' '1_-1_11_13_-11_-13' '2_-1_24_22_21' '3_-4_-24_22_22' '1_-2_23_-24_22' '1_-1_23_23_22' '3_-3_24_-24_22' '2_-1_24_24_-24' '1_-1_11_-11_25_1_-1' '2_-1_-11_12_25_21' '2_-2_23_22_22' '2_-1_23_24_22' '1_-1_1_-1' '1_-1_21_1_-1'  '2_-2_2_-2'  '2_-2_24_-24' '2_-2_23_23' '2_-2_23_22' '2_-2_22_22' '2_-2_3_-3' '2_-2_21_21' '1_-1_21_21_1_-1' '2_-2_21_21_2_-2' '1_-1_11_-11_21_21' '2_-2_24_-24_21' '2_-2_23_23_21' '2_-2_22_22_21'
####not working: '21_21_21_21' '21_21_21_21_21' '6_-6_23_22' '6_-6_23_23' '6_-6_22_22' '6_-6_24_-24'
#all ordered: '1_-1_11_-11_1_-1' '1_-1_11_-11_21_21' '1_-1_11_-11_21' '1_-1_11_-11_25_1_-1' '1_-1_11_-11' '1_-1_11_13_-11_-13' '1_-1_1_-1' '1_-1_21_1_-1' '1_-1_21_21_1_-1' '1_-1_22_1_-1' '1_-1_22_21' '1_-1_22_22_22' '1_-1_23_21' '1_-1_23_23_22' '1_-1_23_23_23' '1_-1_6_-6' '1_21_11_-11_1' '1_21_11_-11_21_1' '1_-2_23_-24_22' '2_-1_-11_12_21' '2_-1_-11_12_25_21' '2_-1_-11_12_3_-3' '2_-1_-11_12' '21_21_11_-11_2_-2' '2_-1_23_23_24' '2_-1_23_24_21' '2_-1_23_24_22' '2_-1_24_21_21' '2_-1_24_21' '2_-1_24_22_21' '2_-1_24_24_-24' '2_-1_25_24_1_-1' '-2_21_11_-11_-2' '2_-2_21_21_2_-2' '2_-2_21_21' '2_-2_22_22_21' '2_-2_22_22' '2_-2_2_-2' '2_-2_23_1_-1' '2_-2_23_22_22' '2_-2_23_22' '2_-2_23_23_21' '2_-2_23_23' '2_-2_23_24_-24' '2_-2_24_-24_21' '2_-2_24_-24' '2_-2_25_23_21' '2_-2_25_23' '2_-2_3_-3' '2_-2_6_-6_21' '3_-3_24_-24_22' '3_-4_13_-14_21_21' '3_-4_13_-14_21' '3_-4_13_-14' '3_-4_-24_22_22' '4_-3_25_24' '6_-6_21_21' '6_-6_2_-2'
##########################################################################################################################################
do
 mkdir -p 'sm_'$i'_V'
 cd 'sm_'$i'_V'
 echo 'sm_'$i'_V'
 Sherpa -e0 -g -f /work1/Stephan/OpenLoopsRecola/create_phasespace_points/Run_$i.dat LOOPGEN:=OpenLoops SET_NLO_QCD_PART:=V > 'sm_'$i'.txt'
 if [ -f ./makelibs ]; then #needed for gluon final state without using Enable_MHV=0 (since no libraries created)
  ./makelibs
  Sherpa -e0 -g -f /work1/Stephan/OpenLoopsRecola/create_phasespace_points/Run_$i.dat LOOPGEN:=OpenLoops SET_NLO_QCD_PART:=V > 'sm_'$i'.txt'
 fi
 #~/RecolaInterface/bin/Sherpa -e0 -g -f ~/OpenLoopsRecola/create_phasespace_points/Run_$i.dat LOOPGEN:=Recola SET_NLO_QCD_PART:=V > 'sm_'$i'_R.txt' #for manual comparison
 python ../format_files.py 'sm_'$i'.txt' 'set_of_points.dat' #create benchmark files with placeholder results
 echo
 echo
 echo "				DONE"
 echo
 echo
 rm -rf 'sm_'$i'.txt'
 cd ..
 echo 'Process '$i' finished'
done
